# GiJob

Backend job library for Rails + sidekiq.

- Rails
- sidekiq
- ridgepole

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'gi_job'
```

And then execute:

    $ bundle install

Or install it yourself as:

    $ gem install gi_job

## Usage

### setup
``` sh
rails generate gi_job:install
rails db:migrate
```

### rake tasks
``` sh
rake gi_job_task:status

rake gi_job_task:show_recently_jobs
rake gi_job_task:show_sidekiq_statuses
rake gi_job_task:show_job_statuses
```

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

``` sh
bundle exec rake build
curl -u <Username> https://rubygems.org/api/v1/api_key.yaml > ~/.gem/credentials; chmod 0600 ~/.gem/credentials
curl -u onoda_takuro https://rubygems.org/api/v1/api_key.yaml > ~/.gem/credentials; chmod 0600 ~/.gem/credentials
#bundle exec rake release
gem yank gi_job -v 0.1.1
gem push pkg/gi_job-0.1.2.gem
```


## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/[USERNAME]/gi_job. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [code of conduct](https://github.com/[USERNAME]/gi_job/blob/master/CODE_OF_CONDUCT.md).


## License

The gem is available as open source under the terms of the [MIT License](https://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the GiJob project's codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/[USERNAME]/gi_job/blob/master/CODE_OF_CONDUCT.md).
